/* --------------------------------------------------------------------------------------
 *  Copyright (C) 2003-2004 Dallas Semiconductor Corporation, All Rights Reserved.
 * 
 *  Permission is hereby granted, free of charge, to any person obtaining a
 *  copy of this software and associated documentation files (the "Software"),
 *  to deal in the Software without restriction, including without limitation
 *  the rights to use, copy, modify, merge, publish, distribute, sublicense,
 *  and/or sell copies of the Software, and to permit persons to whom the
 *  Software is furnished to do so, subject to the following conditions:
 * 
 *  The above copyright notice and this permission notice shall be included
 *  in all copies or substantial portions of the Software.
 * 
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 *  OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 *  MERCHANTABILITY,  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 *  IN NO EVENT SHALL DALLAS SEMICONDUCTOR BE LIABLE FOR ANY CLAIM, DAMAGES
 *  OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 *  ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 *  OTHER DEALINGS IN THE SOFTWARE.
 * 
 *  Except as contained in this notice, the name of Dallas Semiconductor
 *  shall not be used except as stated in the Dallas Semiconductor
 *  Branding Policy.
 * --------------------------------------------------------------------------------------
 */
/****************************************************************************************
 *		Module Name : serial library
 *		Description : this file contains smart card reader compile time configuration 
 * 					  defines
 *	   	   Filename : common.h
 *	Dependant Files : no dependant files
 *		     Author : SGN
 *		   Compiler : keil C51 Compiler V7.06
 *			Version : Version 1.0
 *			Created : 05-22-2006
 *	  Modifications :
 *			  Notes :
 ***************************************************************************************/

#ifndef _COMMON_H_

	//Initial RTS, CTS and DTR lines pin numbers for Serial0
	#define SERIAL_RTS_0 P1_6
	#define SERIAL_CTS_0 P3_3
	#define SERIAL_DTR_0 P1_5

	//serial driver buffer size 
	#define BUF_SIZE 300

	//define processor type
//	#define DS5250

	#define DS5002
	//#define DS89C390
	//#define DS89C400

	//define plug and play support
	#define PNP_SUPPORT
	
	//Comment this macro to make DS8007 SmartCard reader module as library
	#define INDEPENDANT_APPLICATION 1

#endif
